Support » Plugin: The Events Calendar » Conflict with “Classic Editor”

  • Resolved nkalistair

    (@nkalistair)


    When using the “Classic Editor” plugin and setting it so that editors can switch between ‘Classic’ and ‘Block’ editing (and if it it is set to use the ‘Block Editor’ only) the Event Blocks used by The Event Calendar (V5.8.0) are unavailable – Message on page: “Your site doesn’t include support for the “tribe/event-datetime” block. You can leave this block intact or remove it entirely.”

    This happens using the WP Twenty-Twenty theme and all others I’ve tested. Deactivating the “Classic Editor” plugin resolves the issue.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Victor Zarranz

    (@vicskf)

    Hi @nkalistair,

    Thanks for taking the time to report this.

    Unfortunately, I can confirm this is a legit conflict with the classic editor plugin when you have the option “Allow users to switch editors” enabled.

    I have created an internal report for this conflict and link this thread to it. When a new version of our plugins is released with a fix, we’ll let you know about it.

    Best,
    Victor

    Internal ref: BTRIA-906

    Thread Starter nkalistair

    (@nkalistair)

    @vicskf Thanks for letting me know 🙂

    Thread Starter nkalistair

    (@nkalistair)

    Hey @vicskf

    Is there any update on this issue? I’ve been unable to update to any version above v5.7.0 and I see it is now on v5.9.0 – I’ve tested for this issue using v5.9.0 and the problem still seems to be occurring.

    Thanks
    Alistair

    Plugin Author Victor Zarranz

    (@vicskf)

    Hi @nkalistair,

    A fix for this issue has not yet been released, unfortunately. We’re looking to fix this in an upcoming release. Likely, the next one.

    Can you try the workaround provided in https://wordpress.org/support/topic/uncaught-in-promise-error/#post-14743557 and see if it works for you?

    Thanks,
    Victor

    Thread Starter nkalistair

    (@nkalistair)

    Hi @vicskf

    Thanks for getting back to me so quickly – I’ve checked that workaround and the classic-editor-replace option is already set to block

    Hopefully a future fix will get this resolved for me.

    Alistair

    Plugin Author Victor Zarranz

    (@vicskf)

    Thanks for checking Alistair.

    Unfortunately, there is no workaround for the issue you are experiencing. We’ll keep you posted once we’re able to find a resolution to the problem.

    Please hang in there

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Conflict with “Classic Editor”’ is closed to new replies.